net.i2p.router

## Class JobQueueRunner

- java.lang.Object
- - java.lang.Thread
  - - net.i2p.util.I2PThread
    - - net.i2p.router.JobQueueRunner

- All Implemented Interfaces:
    Runnable

      class JobQueueRunner
      extends I2PThread

  Worker thread that executes jobs from the router job queue. Handles job execution, timing collection, error handling, and performance monitoring for individual job processing threads.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.util.I2PThread

      `I2PThread.OOMEventListener`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobQueueRunner(RouterContext context, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Job` | `getCurrentJob()`
    `long` | `getLastBegin()`
    `long` | `getLastEnd()`
    `Job` | `getLastJob()`
    `int` | `getRunnerId()`
    `void` | `run()`
    `void` | `startRunning()`
    `void` | `stopRunning()`

    - ### Methods inherited from class net.i2p.util.I2PThread

      `addOOMEventListener, fireOOM, removeOOMEventListener, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobQueueRunner

          public JobQueueRunner(RouterContext context,
                                int id)

  - ### Method Detail

    - #### getCurrentJob

          public Job getCurrentJob()

    - #### getLastBegin

          public long getLastBegin()

    - #### getLastEnd

          public long getLastEnd()

    - #### getLastJob

          public Job getLastJob()

    - #### getRunnerId

          public int getRunnerId()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `I2PThread`

    - #### startRunning

          public void startRunning()

    - #### stopRunning

          public void stopRunning()